Subject: bug#30685: end-of-file mode should respect read-only mode

From: Eli Zaretskii <[email-masked]>
Date: Sat, 03 Mar 2018 10:31:06 +0200

> From: 積丹尼 Dan Jacobson
> 	<[email-masked]>
> Date: Sat, 03 Mar 2018 07:34:10 +0800
> 
> In the modeline the curious user sees a ":" and clicks it.
> and sees [DOS], [Mac], etc.
> 
> Frightened, the user keeps clicking until he cycles back to its original
> ":" state, and breathes a sigh of relief.
> 
> But wait, it's time for lunch and time to close the editor program.
> 
> But now it's asking him about saving the file.
> 
> "I thought that -r--r--r-- file owned by the boss and which I viewed in
> read-only mode, or even view-mode, was understood by everybody to be
> something I didn't intend to meddle with." "Now it thinks I wanted to
> modify it..."
> 
> Now with extra sweat dripping, he hits undo,
> 
>     command-execute: Buffer is read-only: #<buffer boss's_secret_employee_evaluations.txt>
> 
> "G*d@*m it, half of the editor knows things are read-only, the other
> half doesn't."
> 
> Sure, he can just answer "no" when asked to save the file. But why
> embroil him this way in the first place. Readonly should be Readonly.
> 
> Now Curious Other User 2 also clicks the ":".
> At the end when closing emacs she is asked if she wants to save the
> file, to which she agrees. Which results in even more warnings and
> eventual failure to save the file anyway...

If the user had Read the Fine Manual, she'd have known that just two
characters to the right, there's that "*" indicator, clicking on which
would make the buffer not-modified, and that would have solved all her
problems.